Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235431 - Emacs support for git
Summary: Emacs support for git
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: git
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Wright
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-05 18:34 UTC by Ville Skyttä
Modified: 2013-01-10 10:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-26 11:28:41 UTC


Attachments (Terms of Use)
Emacs support, other small specfile tweaks (deleted)
2007-04-05 18:34 UTC, Ville Skyttä
no flags Details | Diff
site-start.d snippet (deleted)
2007-04-05 18:34 UTC, Ville Skyttä
no flags Details

Description Ville Skyttä 2007-04-05 18:34:21 UTC
Here's a patch that adds Emacs support for git, as well as does some trivial
specfile fixes, among with the perl-devel -> perl(ExtUtils::MakeMaker) change
will make it possible to use same spefiles for all distro versions again.

Comment 1 Ville Skyttä 2007-04-05 18:34:21 UTC
Created attachment 151795 [details]
Emacs support, other small specfile tweaks

Comment 2 Ville Skyttä 2007-04-05 18:34:56 UTC
Created attachment 151796 [details]
site-start.d snippet

Comment 3 Chris Wright 2007-04-05 19:17:56 UTC
Could you point me to info on the perl-devel -> perl(ExtUtils::MakeMaker) change?
I'm glad to remove that from specfile, but I'd like to understand it too.

Comment 5 Stephen 2007-06-06 21:50:35 UTC
Any chance that git.el for emacs can be included in the git package?

Comment 6 Ville Skyttä 2007-06-18 17:50:08 UTC
Anyone (co-maintainers Cc'd)?

Comment 7 Josh Boyer 2007-06-20 13:19:28 UTC
I'll try to look at this tonight.

Comment 8 Josh Boyer 2007-06-22 01:40:31 UTC
I have some scratch builds here:

http://koji.fedoraproject.org/koji/taskinfo?taskID=45293

Ville, (or anyone else interested) could you give them a test?  I'm not an emacs
user so I don't really know what to look for.

Comment 9 Josh Boyer 2007-06-22 13:58:47 UTC
There are also some F7 scratch builds now at:

http://koji.fedoraproject.org/koji/taskinfo?taskID=45646

Comment 10 Stephen 2007-06-22 16:36:02 UTC
Should git-init.el have something like the following added to it:

(autoload 'git-status "git"
  "GIT mode." t)
(autoload 'git-blame-mode "git-blame"
  "Minor mode for incremental blame for Git." t)

So that the git-status and git-blame-mode functions can be called interactively?
(I picked these up from the commentary in git.el and git-blame.el)

(I'm not an expert on emacs packaging or git -- I was actually hoping to use the
emacs front end to learn git.)


Thanks for looking at this!


Comment 11 Ville Skyttä 2007-06-24 09:19:07 UTC
vc-git.el appears to work as intended in the F-7 builds.  I don't use git.el nor
git-blame.el but the idea in comment 10 looks ok to me.

(In case anyone's wondering why there's no XEmacs stuff here - vc-git.el will be
included in upstream XEmacs packages collection soonish and will enter Fedora
that way.)

Comment 12 Josh Boyer 2007-06-26 11:28:41 UTC
I've added the autoloads from comment 10 to git-init.el in CVS.  They should get
picked up with the next build.

Comment 13 Stephen 2007-08-21 13:33:47 UTC
$ rpm -q emacs-git
emacs-git-1.5.2.2-2.fc7

Build Date: Fri 22 Jun 2007 02:54:28 PM BST
Build Host: xenbuilder2.fedora.redhat.com
Source RPM: git-1.5.2.2-2.fc7.src.rpm


I must have got this from comment #9, to test?


Anyway:


$ sudo yum upgrade

Running rpm_check_debug
--> Populating transaction set with selected packages. Please wait.
---> Package git-core.i386 0:1.5.2.4-1.fc7 set to be updated
ERROR with rpm_check_debug vs depsolve:
Package emacs-git needs git-core = 1.5.2.2-2.fc7, this is not available.
Complete!


So this change only made it into rawhide, and not f7 updates? Any chance it might?




Note You need to log in before you can comment on or make changes to this bug.